1. Bookings
Pacific Bedbank API Rates Doc
  • INTRODUCTION
  • Getting Started
  • Payments
  • Discover
  • Endpoints Overview
  • Webhooks
  • Authentication
    • Login
      POST
    • Me
      GET
  • Search
    • List Countries
      GET
    • List Currencies
      GET
    • List Hotels
      GET
    • Search Hotel Rates
      POST
    • Search Hotel Min Rates
      POST
  • Bookings
    • Create Prebook
      POST
    • Prebook Payment Page
      GET
    • Prebook Payment Return
      GET
    • Get Prebook
      GET
    • List Bookings
      GET
    • Confirm Booking
      POST
    • Cancel Booking
      PUT
    • Amend Guest Name
      PUT
    • Get Booking
      GET
  • Schemas
    • LoginResponse
    • LoginRequest
    • CountriesResponse
    • Country
    • CurrenciesResponse
    • Currency
    • HotelListResponse
    • HotelSummary
    • HotelEssential
    • RateEssential
    • RoomTypeEssential
    • SearchResponseEssential
    • SupplierWarning
    • HotelRatesRequest
    • OccupancyInput
    • WholesalerCurrency
    • HotelMinRate
    • HotelMinRatesResponse
    • HotelMinRatesRequest
    • CreditLineInfo
    • PaymentSdkInfo
    • PrebookResponse
    • PrebookRoomRate
    • TravellerInfo
    • PrebookRequest
    • TravellerInput
    • BookingListItem
    • BookingListResponse
    • ConfirmBookingResponse
    • ConfirmBookingRequest
    • GuestInput
    • HolderInput
    • CancelBookingResponse
    • AmendGuestResponse
    • AmendGuestRequest
    • BookingDetailResponse
  1. Bookings

Get Prebook

GET
/api/v1/bookings/prebook/{prebook_id}
Use prebook_id to review the prebook before confirming.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://rates-api.globalbedbank.com/api/v1/bookings/prebook/?include_credit_balance=undefined' \
--header 'Authorization: <api-key>'
Response Response Example
{
    "booking_id": "string",
    "prebook_id": "string",
    "hotel_id": "string",
    "check_in": "string",
    "check_out": "string",
    "currency": "string",
    "price": 0,
    "terms_and_conditions": "",
    "room": {
        "rate_id": "string",
        "room_name": "string",
        "board_name": "string",
        "refundable": true,
        "cancellation_deadline": "string",
        "price": 0,
        "currency": "string"
    },
    "transaction_id": "string",
    "credit_line": {
        "remaining_credit": 0,
        "currency": "string"
    },
    "traveller": {
        "first_name": "string",
        "last_name": "string",
        "email": "string",
        "phone": ""
    },
    "payment_sdk": {
        "payment_url": "string",
        "transaction_id": "string",
        "return_url": "string"
    }
}
Modified at 2026-06-03 00:11:28
Previous
Prebook Payment Return
Next
List Bookings
Built with